/*
 * libopensync - A synchronization framework
 * Copyright (C) 2004-2005  Armin Bauer <armin.bauer@opensync.org>
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
 * 
 */

#ifndef OPENSYNC_CAPS_CONVERTER_PRIVATE_H_
#define OPENSYNC_CAPS_CONVERTER_PRIVATE_H_


/**
 * @defgroup OSyncConverterPrivateAPI OpenSync Converter Private
 * @ingroup OSyncFormatPrivate
 * @brief Private part for creating and managing object format converters
 * 
 */
/*@{*/

/** @brief Represent a converter from one format to another
 */
struct OSyncCapsConverter {
	char *source_capsformat;
	char *target_capsformat;
	OSyncCapsConvertFunc convert_func;
	OSyncCapsConverterInitializeFunc initialize_func;
	OSyncCapsConverterFinalizeFunc finalize_func;
	int ref_count;
	void *userdata;
};

/*@}*/

#endif /*OPENSYNC_CAPS_CONVERTER_PRIVATE_H_*/
